summaryrefslogtreecommitdiffstats
path: root/network/r8168
diff options
context:
space:
mode:
author Hunter Sezen2017-07-11 01:22:04 +0200
committer David Spencer2017-07-12 17:39:22 +0200
commit53ffcee65b795a032e7f0b31ac1aeaa2e5da6623 (patch)
tree73fdb0744eefce196eb4b6d5c006c37a465f2eed /network/r8168
parente3215e08f522c85c2f1a0b3a5c18162ef5bcfdfd (diff)
downloadslackbuilds-53ffcee65b795a032e7f0b31ac1aeaa2e5da6623.tar.gz
network/r8168: Updated for version 8.044.02.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network/r8168')
-rw-r--r--network/r8168/r8168-linux-4.11.patch14
-rw-r--r--network/r8168/r8168.SlackBuild13
-rw-r--r--network/r8168/r8168.info6
3 files changed, 25 insertions, 8 deletions
diff --git a/network/r8168/r8168-linux-4.11.patch b/network/r8168/r8168-linux-4.11.patch
new file mode 100644
index 0000000000..5d8d451cdf
--- /dev/null
+++ b/network/r8168/r8168-linux-4.11.patch
@@ -0,0 +1,14 @@
+diff --git a/src/r8168_n.c b/src/r8168_n.c
+index 3c5a7e7..e2026bb 100755
+--- a/src/r8168_n.c
++++ b/src/r8168_n.c
+@@ -25732,7 +25732,9 @@ process_pkt:
+ if (rtl8168_rx_vlan_skb(tp, desc, skb) < 0)
+ rtl8168_rx_skb(tp, skb);
+
++#if LINUX_VERSION_CODE < KERNEL_VERSION(4, 11, 0)
+ dev->last_rx = jiffies;
++#endif
+ RTLDEV->stats.rx_bytes += pkt_size;
+ RTLDEV->stats.rx_packets++;
+ }
diff --git a/network/r8168/r8168.SlackBuild b/network/r8168/r8168.SlackBuild
index 13bd23f5a5..9569be3190 100644
--- a/network/r8168/r8168.SlackBuild
+++ b/network/r8168/r8168.SlackBuild
@@ -23,8 +23,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=r8168
-VERSION=${VERSION:-8.043.02}
-BUILD=${BUILD:-4}
+VERSION=${VERSION:-8.044.02}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -40,8 +40,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-KERNEL=${KERNEL:-$(uname -r)}
-PKGVER=$(printf %s ${VERSION}_$KERNEL | tr - _)
+KERNEL="${KERNEL:-"$(uname -r)"}"
+PKGVER="$(printf %s "${VERSION}_$KERNEL" | tr - _)"
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
@@ -57,7 +57,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -72,6 +72,9 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+# patch from arch for 4.11 kernels
+cat $CWD/r8168-linux-4.11.patch | patch -p1
+
make -C /lib/modules/$KERNEL/build \
SUBDIRS="$TMP/$PRGNAM-$VERSION/src" \
EXTRA_CFLAGS="$SLKCFLAGS" \
diff --git a/network/r8168/r8168.info b/network/r8168/r8168.info
index 79035b5c28..b4b079171a 100644
--- a/network/r8168/r8168.info
+++ b/network/r8168/r8168.info
@@ -1,8 +1,8 @@
PRGNAM="r8168"
-VERSION="8.043.02"
+VERSION="8.044.02"
HOMEPAGE="https://github.com/mtorromeo/r8168"
-DOWNLOAD="https://github.com/mtorromeo/r8168/archive/8.043.02/r8168-8.043.02.tar.gz"
-MD5SUM="99d19046aa313ac540906dc5289514e6"
+DOWNLOAD="https://github.com/mtorromeo/r8168/archive/8.044.02/r8168-8.044.02.tar.gz"
+MD5SUM="ff7cb76de167608834f1bde66da882ff"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""